%define name drakx-installer-binaries
%define version 1.7
%define release %mkrel 4

Summary: DrakX binaries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kernel
BuildRequires: ldetect-lst-devel
BuildRequires: dietlibc-devel
BuildRequires: zlib-devel
BuildRequires: flex byacc pciutils-devel

#- not requiring the same version otherwise releasing drakx-installer-images takes a day
#- (restore this when the build system can build a pack of packages)
Requires: ldetect-lst

%description
binaries needed to build Mandriva installer (DrakX)

%prep
%setup -q

%build
make -C mdk-stage1

%install
rm -rf $RPM_BUILD_ROOT

cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 pppd pppoe rescue-gui dhcp-client $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 1.7-4mdv2007.1
+ Revision: 150620
- we can't except mandriva-release nor mandriva-release to be installed at the moment, removing the check

* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 1.7-3mdv2007.1
+ Revision: 150589
- mandriva-release is no more, mandriva-release-common is the one to check

* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 1.7-2mdv2007.1
+ Revision: 150566
- rebuild for new mandriva-release
- don't depend on mandriva-release %%version-%%release, only on %%version

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 1.7-1mdv2007.1
+ Revision: 148433
- bug fix release, 1.7
- don't kill our init/klogd when running stage2
  (bug introduced when switching to initramfs)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2007.1
+ Revision: 147946
- new release, 1.6
- write DNS settings in temporary ifcfg file
  (fixes resolv.conf post install)

* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 1.5-3mdv2007.1
+ Revision: 138376
- don't depend on the ldetect-lst version used for build otherwise building a
  new drakx-installer-images is a nightmare

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 1.5-2mdv2007.1
+ Revision: 134214
- rebuild for new ldetect-lst

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2007.1
+ Revision: 133946
- 1.5 (and add NEWS file)

* Mon Mar 05 2007 Pixel <pixel@mandriva.com> 1.4-2mdv2007.1
+ Revision: 133019
- rebuild with new ldetect-lst

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 114827
- pcmcia_probe.o must be compiled with -fPIC (for drakxtools)

* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 114003
- handle compressed modules in /modules

  + Olivier Blin <oblin@mandriva.com>
    - buildrequire zlib-devel
    - adapt to new name of stage1 binaries

* Tue Jan 23 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 112515
- new release
- /modules/modules.dep is needed in stage2, move it to /tmp otherwise we'll loose it

* Tue Jan 23 2007 Pixel <pixel@mandriva.com> 1.1-2mdv2007.1
+ Revision: 112355
- add rescue-gui
- switch to initramfs
- init-stage2 no more needed

* Mon Jan 22 2007 Pixel <pixel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 111895
- adapt BuildRequires
- parallel build (make -j4) doesn't work
- first standalone package
- Create drakx-installer-binaries

